Subject: Re: KVM-PR no longer works when compiled with new GCC compilers

From: Segher Boessenkool <[email-masked]>
Date: Fri, 24 Apr 2026 21:50:44 -0500

On Fri, Apr 24, 2026 at 05:48:37PM +0200, John Paul Adrian Glaubitz wrote:
> On Fri, 2026-04-24 at 16:47 +0200, Christian Zigotzky wrote:
> > I compiled it with "mtune=power4" today but without any success.
> > 
> > Error messages:
> > 
> > [  800.274759] Couldn't emulate instruction 0x00000000 (op 0 xop 0)
> > [  800.274767] kvmppc_exit_pr_progint: emulation at 100 failed (00000000)
> 
> What exactly are you running inside the KVM? 0x00000000 doesn't seem like
> a valid instruction and a quick Google research reveals that this triggers
> a SIGLL trap.

By definition anything with primary op 0 (the first six bits 0) is
invalid.  It isn't super unusual to (accidentally) try to execute a zero
as an instruction ;-)

Segher